Package org.bukkit.event.vehicle

# Class VehicleEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.vehicle.VehicleEvent

Direct Known Subclasses:
  `VehicleCollisionEvent`, `VehicleCreateEvent`, `VehicleDamageEvent`, `VehicleDestroyEvent`, `VehicleEnterEvent`, `VehicleExitEvent`, `VehicleMoveEvent`, `VehicleUpdateEvent`

public abstract class VehicleEvent extends Event
Represents a vehicle-related event.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Vehicle`
`vehicle`

## Constructor Summary

Constructors
Constructor
Description
`VehicleEvent(@NotNull Vehicle vehicle)`

## Method Summary

Modifier and Type
Method
Description
`final @NotNull Vehicle`
`getVehicle()`
Get the vehicle.

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### vehicle

protected Vehicle vehicle

## Constructor Details

### VehicleEvent

public VehicleEvent(@NotNull @NotNull Vehicle vehicle)

## Method Details

### getVehicle

@NotNull public final @NotNull Vehicle getVehicle()
Get the vehicle.

Returns:
  the vehicle